> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Manager

## OpenAPI

````json POST /managers/{MANAGER_ID}
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/managers/{MANAGER_ID}": {
      "post": {
        "tags": [
          "Managers"
        ],
        "summary": "Update Manager",
        "operationId": "Update_Manager",
        "parameters": [
          {
            "name": "MANAGER_ID",
            "in": "path",
            "description": "Manager ID. This is a commbox generated number",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/MANAGER_ID/schema"
            }
          }
        ],
        "requestBody": {
          "description": "Optional description for new mail object in  *Markdown*",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Manager"
              },
              "example": {
                "data": {
                  "FirstName": "John",
                  "LastName": "Doe",
                  "IsAdmin": false,
                  "Password": "somepassword",
                  "UserName": "John.d",
                  "TeamId": 12,
                  "PermissionId": 2
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "OK"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-08-06T07:51:52.2581942Z"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 294159
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not Found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Internal Server Error"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Manager": {
        "type": "object",
        "properties": {
          "Id": {
            "type": "integer",
            "format": "int64",
            "description": "Manager ID. This is a commbox generated number and used throughout all the updates"
          },
          "AsyncAssignedNoResponse": {
            "type": "integer",
            "description": "Current number of assigned asynchronous objects awaiting response"
          },
          "AsyncAssignedInProccess": {
            "type": "integer",
            "description": "Current number of assigned asynchronous objects that are being addressed by the manager"
          },
          "SyncAssignedNoResponse": {
            "type": "integer",
            "description": "Current number of assigned synchronous objects awaiting response (Chat/messenger conversations)"
          },
          "SyncAssignedInProccess": {
            "type": "integer",
            "description": "Current number of assigned synchronous objects that are being addressed by the manager (Chat/messenger conversations)"
          },
          "FaceToFaceStatus": {
            "type": "boolean",
            "description": "Returns true if the agent is busy with a face to face conversation (Voice/Video call)"
          },
          "TotalAsyncAssigned": {
            "type": "integer",
            "description": "Total number of currently assigned objects"
          },
          "TotalSyncAssigned": {
            "type": "integer",
            "description": "Total number of currently assigned synchronous objects (Chat/messenger conversations)"
          }
        }
      }
    }
  }
}
````

